commit:     0129041f2c723e5efafb5013cc09fb63218be65f
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 23 09:00:13 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Jun 23 11:23:26 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0129041f

Revert "dev-ml/ocamlnet: Remove another := slot op from || dep"

This reverts commit 3b1a4cc0f9b9a0a2c70d6bb53cb71bf059e2920e.

This commit is wrong in several aspects:
  - Such changes should come with a revbump
  - Removing := deps causes packages not to be rebuilt on upgrades, causing
    barely understandable build failures when upgrading, later on.
    Thanks to this commit, people that have installed those packages will
    likely experience those failures with the upcoming ocaml 4.03 unmask.
  - This is a non maintainer commit where no discussion at all happened with the
    maintainers during the 3 days between bug report and mass commit.
    Such discussion could have prevented the above mentioned breakage.

Proper fix is to drop the backward compatibility part of the || () dep. This fix
was slowly moving forward whenever possible and noticed. Main blocker for this 
is
bug #463018 which requires taking extra care for not breaking the stable tree
nor needlessly preventing future stabilization of packages.

 dev-ml/ocamlnet/ocamlnet-3.7.7.ebuild | 2 +-
 dev-ml/ocamlnet/ocamlnet-4.0.4.ebuild | 2 +-
 dev-ml/ocamlnet/ocamlnet-4.1.1.ebuild | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-ml/ocamlnet/ocamlnet-3.7.7.ebuild 
b/dev-ml/ocamlnet/ocamlnet-3.7.7.ebuild
index 61ad3d6..779f710 100644
--- a/dev-ml/ocamlnet/ocamlnet-3.7.7.ebuild
+++ b/dev-ml/ocamlnet/ocamlnet-3.7.7.ebuild
@@ -23,7 +23,7 @@ RESTRICT="installsources"
 DEPEND=">=dev-ml/findlib-1.0
                pcre? ( >=dev-ml/pcre-ocaml-5:= )
                >=dev-lang/ocaml-3.10.2:=[ocamlopt?]
-               tk? ( || ( dev-ml/labltk <dev-lang/ocaml-4.02[tk] ) )
+               tk? ( || ( dev-ml/labltk:= <dev-lang/ocaml-4.02[tk] ) )
                cryptokit? ( dev-ml/cryptokit:= )
                gtk? ( >=dev-ml/lablgtk-2:= )
                ssl? ( >=dev-ml/ocaml-ssl-0.4:= )

diff --git a/dev-ml/ocamlnet/ocamlnet-4.0.4.ebuild 
b/dev-ml/ocamlnet/ocamlnet-4.0.4.ebuild
index db254b6..5fe2f7a 100644
--- a/dev-ml/ocamlnet/ocamlnet-4.0.4.ebuild
+++ b/dev-ml/ocamlnet/ocamlnet-4.0.4.ebuild
@@ -23,7 +23,7 @@ RESTRICT="installsources"
 RDEPEND=">=dev-ml/findlib-1.0
                pcre? ( >=dev-ml/pcre-ocaml-5:= )
                >=dev-lang/ocaml-3.10.2:=[ocamlopt?]
-               tk? ( || ( dev-ml/labltk <dev-lang/ocaml-4.02[tk] ) )
+               tk? ( || ( dev-ml/labltk:= <dev-lang/ocaml-4.02[tk] ) )
                ssl? ( net-libs/gnutls:= )
                gtk? ( >=dev-ml/lablgtk-2:= )
                kerberos? ( virtual/krb5 )

diff --git a/dev-ml/ocamlnet/ocamlnet-4.1.1.ebuild 
b/dev-ml/ocamlnet/ocamlnet-4.1.1.ebuild
index dc77608..5c042a3 100644
--- a/dev-ml/ocamlnet/ocamlnet-4.1.1.ebuild
+++ b/dev-ml/ocamlnet/ocamlnet-4.1.1.ebuild
@@ -23,7 +23,7 @@ RESTRICT="installsources"
 RDEPEND=">=dev-ml/findlib-1.0
                pcre? ( >=dev-ml/pcre-ocaml-5:= )
                >=dev-lang/ocaml-3.10.2:=[ocamlopt?]
-               tk? ( || ( dev-ml/labltk <dev-lang/ocaml-4.02[tk] ) )
+               tk? ( || ( dev-ml/labltk:= <dev-lang/ocaml-4.02[tk] ) )
                ssl? ( net-libs/gnutls:= )
                gtk? ( >=dev-ml/lablgtk-2:= )
                kerberos? ( virtual/krb5 )

Reply via email to